Bug 102238 - START CENTER: Templates should be activated with single click
Summary: START CENTER: Templates should be activated with single click
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: Start-Center Template-Manager
  Show dependency treegraph
 
Reported: 2016-09-17 15:49 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-05 20:26 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-09-17 15:49:36 UTC
Similar to Recent Files, activation of a template should only require a single left-click rather than a double-click.
Comment 1 Heiko Tietze 2016-09-18 09:03:11 UTC
Users who configured their system to start the program by double-click will not agree with you. The best solution would be to bind it to the system setting.

But I guess that's not so easy in respect to the various systems. In this case I vote for WONTFIX, or rather to have double click activation for both templates (no change needed) and recent files (change this). 

Reason is that lists typically provide selection with single-click interaction and execution per double-click. The selection gives us also the opportunity to show information, for instance, or to provide further interactions (consider also single left vs. right click, which isn't available for recent files).
Comment 2 Yousuf Philips (jay) (retired) 2016-09-18 15:19:37 UTC
(In reply to Heiko Tietze from comment #1)
> Users who configured their system to start the program by double-click will
> not agree with you. The best solution would be to bind it to the system
> setting.

A user's system setting on the mouse click behavour of launching of an application has nothing to do with the selection of an entry to be opened in the start center.

> But I guess that's not so easy in respect to the various systems. In this
> case I vote for WONTFIX, or rather to have double click activation for both
> templates (no change needed) and recent files (change this). 

With the application pane and recent files being single-click execution, changing templates to this behaviour is the better choice.

> Reason is that lists typically provide selection with single-click
> interaction and execution per double-click. The selection gives us also the
> opportunity to show information, for instance, or to provide further
> interactions (consider also single left vs. right click, which isn't
> available for recent files).

If it were possible to multiselect entries, single-click selection might be useful, but doubt multiselect would be useful for templates. With single-click activation, it is still possible to have right-click interactions if required.
Comment 3 Heiko Tietze 2016-09-19 08:25:47 UTC
(In reply to Yousuf Philips (jay) from comment #2)
> A user's system setting on the mouse click behavour of launching of an
> application has nothing to do with the selection of an entry to be opened in
> the start center.

If we ask users if the start center should behave like the file manager, what do you think they reply? Or alternatively we ask for single vs. double click preference and additionally how the execution is done in the file manager. I bet there is nearly 100% correlation.
The question is also kind of Linux sophism since Windows has always double click execution. Or am I wrong here?

My second argument was that you limit the options for the UI with single click, meaning there is, for instance, no selection without execution (not talking about multi-selection). And the right click aka context menu without selection may work but would be really weird and contradictory to usability.
Comment 4 Samuel Mehrbrodt (CIB) 2016-09-19 09:58:56 UTC
I agree with Jay. The start center is not a file manager. We even removed the folders view from the templates section lately.

So the templates section should behave the same as the recent files section (activate on single click).
Comment 5 Yousuf Philips (jay) (retired) 2016-09-19 14:53:48 UTC
Just to be clear, the single click activation in the start center shouldnt affect the double-click selection in the template manager and template selector dialogs.
Comment 6 Yousuf Philips (jay) (retired) 2016-09-22 06:13:09 UTC
(In reply to Heiko Tietze from comment #3)
> If we ask users if the start center should behave like the file manager,
> what do you think they reply? Or alternatively we ask for single vs. double
> click preference and additionally how the execution is done in the file
> manager. I bet there is nearly 100% correlation.

As the start center is about selection and not about management, i believe they would say that it shouldnt behave like a file manager. Different users will prefer the single or double click preference on their DE and in their file manager, but the start center isnt a file manager.

> The question is also kind of Linux sophism since Windows has always double
> click execution. Or am I wrong here?

A user can change to single click execution on windows if they like.

> My second argument was that you limit the options for the UI with single
> click, meaning there is, for instance, no selection without execution (not
> talking about multi-selection). And the right click aka context menu without
> selection may work but would be really weird and contradictory to usability.

If there is a UI option that is negatively affected by the single click activation, please let me know, as i dont see it. We dont have mult-selection or drag and drop for reorganization, so there isnt any other option that comes to mind that warrants a double click activation.

Checked MSO's start center and it activates recent documents and templates with single click.
Comment 7 Cor Nouws 2016-09-30 12:05:44 UTC
A thought that I had on this one:
I consider the start center to be different from file managers. There one can do much more such as multiple selection, renaming ... actions that involve (by choice) mouse actions that may be a reason for certain behavior. As in the start center that's not teh case (mostly, just see that contextmenu offers edit & open) I would say that there is no objection against single click ..
Comment 8 Heiko Tietze 2016-09-30 13:02:21 UTC
Decision made in the UX meeting is to go with single selection for templates and recent files. Removing needsUXEval.

Possible solution to the right click problem is to have interactions on hover like remove (x) at recent files.
Comment 9 Commit Notification 2016-10-05 20:07:22 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9167f75c87c5a062c39ee63c4071061518f63b49

tdf#102238 START CENTER: Templates should be activated with single click

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.